Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class BVGroupInfo

    java.lang.Object
      jet.api.BLDimensionInfo
          jet.api.BVGroupInfo

    public class BVGroupInfo

extends BLDimensionInfo

The BVGroupInfo object is similar to BLDimensionInfo and defines the Group object of JReport Business Views.

Group objects are cube elements that are the basis for analysis in a report. They present the data you would to summarize on, and characteristically return text data or dates, and answer the following question: who, when, what, where and which. A group object can be inserted wherever a field can be inserted, as a column or row in a crosstab, or as a group field or detail field in a table or banded object or as a category or series in a chart. They may be based on DBFields such as region and country or they could be based on formulas such as the year, quarter, or month portion of a date field.

Constructor Summary
`BVGroupInfo(java.lang.String refMappingName, java.lang.String name)` Constructor.

Method Summary
`void` | `addDetailInfo(BVDetailInfo detailInfo)` Adds a JReport Business View Detail definition into the Group.
`BVDetailInfo[]` | `getDetailInfos()` Gets Detail definitions of the Group.

Methods inherited from class jet.api.BLDimensionInfo
`addDetailInfo, getDescription, getDisplayName, getName, getPrompt, getRefMappingName, setDescription, setDisplayName, setName, setPrompt, setRefMappingName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BVGroupInfo

    public BVGroupInfo(java.lang.String refMappingName,
                       java.lang.String name)

  Constructor. Creates a JReport Business View Group.

  Parameters:
    `name` - Indicates the Group name.
    `refMappingName` - Indicates the field resource name referred by the Group.

Method Detail

### getDetailInfos

    public BVDetailInfo[] getDetailInfos()

  Gets Detail definitions of the Group.

  Overrides:
    `getDetailInfos` in class `BLDimensionInfo`
  Returns:
    Detail definitions array for the Group.

### addDetailInfo

    public void addDetailInfo(BVDetailInfo detailInfo)

  Adds a JReport Business View Detail definition into the Group.

  Parameters:
    `detailInfo` - The Detail definition that will be created in the Group.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD